<nav class="navbar is-header unselectable" role="navigation" aria-label="main navigation">
    <div class="navbar-brand">
      <a class="navbar-item" href="" id="WithoutPadding">
        <img id="logo" src="../assets/images/HeaderImages/LogoLearnRunWhite671x671.png" [className]="isMobile ? 'is-size-mobile' : ''">
      </a>
  
      <a #NavBarBurger (click)="openHeader()" role="button"class="navbar-burger burger" aria-label="menu" aria-expanded="false" data-target="navbarBasicExample">
        <span aria-hidden="true"></span>
        <span aria-hidden="true"></span>
        <span aria-hidden="true"></span>
      </a>
    </div>
  
    <div #NavBar id="navbarBasicExample" (click)="closeHeader()" class="navbar-menu color">
      <div class="navbar-start">
        <a class="navbar-item" href="">
          <TextIcon [name]="GetImg('Home.png')" [text]="'Accueil'" [comment]="'Accueil'" 
          ></TextIcon>
        </a>
        <a class="navbar-item" *ngFor="let icon of Icons; let i = index" [href]="icon.path">
          <TextIcon [name]="GetImg(Icons[i].name)" [text]="Icons[i].text" [comment]="Icons[i].title" 
          ></TextIcon>
        </a>
        <div *ngIf="isAdmin$ | async" class="navbar-item has-dropdown is-hoverable">
          <a class="navbar-link">
            <TextIcon [name]="GetImg('admin.png')" [text]="'Administrateur'" [comment]="'Administrateur'"></TextIcon>
          </a>
          <div class="navbar-dropdown">
            <a *ngFor="let admin of listAdmins" [href]="admin.path" class="navbar-item">
              <drop-item [text]="admin.text" [img]="admin.img"></drop-item>
            </a>
            <!-- <a href="/admin/question" class="navbar-item">
              <img class="icon has-margin-right-2" src="../assets/images/HeaderImages/questions.png"/>
              <span class="is-styling is-crayon-crumble"> Questions </span>
            </a>
            <a href="/admin/salle" class="navbar-item">
              <img class="icon has-margin-right-2" src="../assets/images/HeaderImages/pieces.png"/>
              <span class="is-styling is-crayon-crumble"> Salles </span>
            </a>
            <a href="/admin/circuit" class="navbar-item">
              <img class="icon has-margin-right-2" src="../assets/images/HeaderImages/circuits.png"/>
              <span class="is-styling is-crayon-crumble"> Circuits </span>
            </a> -->
          </div>
        </div>
  
        <div class="navbar-item has-dropdown is-hoverable">
          <a class="navbar-link">
            <TextIcon [name]="GetImg('download.png')" [text]="'Téléchargement'" [comment]="'Téléchargement'"></TextIcon>
          </a>
          <div class="navbar-dropdown">
            <a class="navbar-item" href="https://jeanjacquelin.fr/learn&run/learn_and_run_setup.exe" download="learn_and_run_setup.exe">
              <img  class="icon has-margin-right-2" src="../../assets/images/HeaderImages/windows.png">
              <span class="is-styling is-crayon-crumble">Windows</span>
            </a>
            <a class="navbar-item" href="https://jeanjacquelin.fr/learn&run/learn_and_run.apk" download="learn_and_run.apk">
              <img class="icon has-margin-right-2" src="../../assets/images/HeaderImages/android.png">
              <span class="is-styling is-crayon-crumble">Android</span>
            </a>
            <!-- <a (click)="Download('Linux')" alt="" class="navbar-item">
              <img class="icon has-margin-right-2" src="../../assets/images/HeaderImages/linux.png">
              <span class="is-styling is-crayon-crumble">Linux</span>
            </a> -->
            <!-- <a (click)="Download('Windows')" class="navbar-item">
              <span class="is-styling"> Windows </span><img class="icon" src="../assets/images/HeaderImages/windows.png"/>
            </a>
            <a (click)="Download('MacOs')" class="navbar-item">
              <span class="is-styling"> Mac OS </span><img class="icon" src="../assets/images/HeaderImages/mac.png"/>
            </a>
            <a (click)="Download('Linux')" class="navbar-item">
              <span class="is-styling"> Linux (64bits) </span><img class="icon" src="../assets/images/HeaderImages/linux.png"/>
            </a> -->
          </div>
        </div>
      </div>
      <div class="navbar-end">
        <a *ngIf="!isAuto" (click)="ActiveModal('connect')" class="navbar-item" id="WithoutPadding">
          <TextIcon [name]="GetImg('connexion.png')" [text]="'Connexion'" [comment]="'Connexion'">
          </TextIcon>
        </a>

        <div *ngIf="isAuto" class="navbar-item has-dropdown is-hoverable">
          <a class="navbar-link">
            <div>
              <img class="has-margin-right-2" width="50px" id="testImage" [title]="userCharacter" [src]="GetImg('perso')">
              <p class="is-styling is-crayon-crumble has-margin-right-2" [innerHTML]="userInfo.pseudo"></p>
            </div>
          </a>
  
          <div class="navbar-dropdown is-right">
            <a class="navbar-item"  href="/paramètres">
              <img class="icon has-margin-right-2" src="../assets/images/HeaderImages/settings.png"/>
              <span class="is-styling is-crayon-crumble">Paramètres</span>
            </a>
            <a (click)="logout()" class="navbar-item">
              <img class="icon has-margin-right-2" src="../assets/images/HeaderImages/logout.png"/>
              <span class="is-styling is-crayon-crumble">Déconnexion</span>
            </a>
          </div>
        </div> 
      </div>
    </div>
  </nav>
<!-- <div #ConnectPopUp  id="modal" class="modal">
  <modal (canCancel)="Cancel('C', $event)">
    <img id="IconModal" src="../assets/images/profil.png">
      <h2 id="titleModal">Connexion</h2>
      <form class="is-flex" id="formConnect" [formGroup]="Connect">
        <input formControlName="EmailOrPseudo" placeholder="Pseudonyme" id="emailPseudo" class="default-style input-style has-margin-bottom-4" type="text">
        <app-password formControlName="MDP"></app-password>
        <button *ngIf="Connect.valid" #SubmitButton class="button default-style submit-style has-margin-top-1" id="submit" (click)="login()">Valider</button>
      </form>
      <div class="text">
        <p id="Souvenir"><img (click)="Change()" id="check" width="30px" height="30px" [src]="checkUncheck">Se Souvenir de moi !</p>
      </div>
      <div class="text2">
        <a (click)="ActiveModal('forgotPassword')" id="Link">Mot de passe oublié ?</a><br><br>
        <span id="compte">Vous n’avez pas de compte ?</span><a (click)="Cancel('C')" routerLink="/creation-compte" routerLinkActive="active" id="inscription">Inscrivez-vous !</a>
      </div>
  </modal>
</div> -->

<div #ConnectPopUp class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <header class="modal-card-head">
      <div class="is-flex is-align-center is-column flex-grow-4">
        <!-- <div [className]="isMobile ? 'is-flex is-align-center is-space-between flex-grow-4' : 'is-flex is-column is-align-center flex-grow-4'"> -->
        <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/profil2.png">
        <p class="modal-card-title has-margin-top-1">Connexion</p>
      </div>
      <button (click)="Cancel('C')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
    </header>
    <section class="modal-card-body">
      <div class="is-flex is-column is-align-center justify-center content">
        <form class="is-flex formStyle" [formGroup]="Connect">
          <app-password [password]="'hidden'" [text]="'Pseudonyme'" formControlName="EmailOrPseudo"></app-password>
          <app-password [password]="'visible'" [text]="'Mot de passe'" formControlName="MDP"></app-password>
          <button #SubmitButton *ngIf="Connect.valid" [className]="isMobile ? 'button default-style submit-style has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop submit-style has-margin-top-1 has-margin-bottom-2'" id="submit" (click)="login()">Valider</button>
        </form>
        <div class="is-flex is-align-center is-remember-me has-text-white has-margin-bottom-2">
          <img (click)="Change()" class="has-cursor-pointer" width="30px" height="30px" [src]="checkUncheck">
          <p class="has-margin-left-1 has-margin-top-1 ">Se Souvenir de moi !</p>
        </div>
        <a class="is-link has-margin-bottom-2" (click)="ActiveModal('forgotPassword')">Mot de passe oublié ?</a>
        <div [className]="isMobile ? 'is-flex fontSize is-align-center is-column' : 'is-flex fontSize is-align-center'">
          <span class="has-text-white">Vous n’avez pas de compte ?</span><a class="has-margin-left-1 is-link" (click)="Cancel('C')" routerLink="/creation-compte" routerLinkActive="active">Inscrivez-vous !</a>
        </div>
      </div>

    </section>
  </div>
</div>


<div #ForgotPassword class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <header class="modal-card-head">
      <div class="is-flex is-align-center is-column flex-grow-4">
        <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/forgot.png">
        <p class="modal-card-title has-margin-top-1">Mot de passe oublié ?</p>
      </div>
      <button (click)="Cancel('F')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
    </header>
    <section class="modal-card-body">
      <div class="is-flex is-column is-align-center justify-center content">
        <form class="is-flex formStyle" [formGroup]="Forgot">
          <app-password [password]="'hidden'" [text]="'Email'" formControlName="Email"></app-password>
          <button #SubmitButtonFP *ngIf="Forgot.valid" [className]="isMobile ? 'button default-style submit-style has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop submit-style has-margin-top-1 has-margin-bottom-2'" id="submit" (click)="forgotPassword()">Valider</button>
        </form>
      </div>

    </section>
  </div>
</div>
<!-- <div #ForgotPassword id="forgotPassword" class="modal">
  <modal (canCancel)="Cancel('F', $event)" >
    <img id="IconModal" src="../assets/images/forgot.png">
    <h2 id="titleModal">Mot de passe oublié ?</h2>
    <form [formGroup]="Forgot">
      <input formControlName="Email" placeholder="Email" class="default-style input-style has-margin-bottom-4" type="text">
      <button *ngIf="Forgot.valid" class="button default-style submit-style has-margin-top-1" #SubmitButtonFP (click)="forgotPassword()">Valider</button>
    </form>
  </modal>
</div> -->

<div #Failure class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <header class="modal-card-head">
      <div class="is-flex is-align-center is-column flex-grow-4">
        <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/error.png">
        <p class="modal-card-title has-margin-top-1">Une erreur est survenue !</p>
      </div>
      <button (click)="Cancel('E')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
    </header>
    <section class="modal-card-body is-flex is-column">
      <p class="is-modal-paragraph"> Ton pseudonyme ou ton mot de passe ne sont pas reconnus.</p>
      <button class="default-style failure-style has-margin-top-10" (click)="tryAgain()">Réessayer</button>
    </section>
  </div>
</div>

<!-- <div #Failure class="modal">
  <div id="black" class="modal-background"></div>
    <div class="position-relative">
      <img src="../assets/images/croix.png" (click)="Cancel('E')" class="modal-close"/>
      <div class="modal-content">
          <img id="IconModal" src="../assets/images/error.png">
          <h2 id="titleModal"> Une erreur est survenue ! </h2>
          <p id="is-modal-paragraph"> Ton email ou ton mot de passe ne sont pas reconnus.</p>
          <button class="default-style failure-style has-margin-top-10" (click)="tryAgain()">Réessayer</button>
        </div>
  </div>
</div> -->

<!-- <div #FailureFP class="modal">
  <div id="black" class="modal-background"></div>
    <div class="position-relative">
      <img src="../assets/images/croix.png" (click)="Cancel('ER')" class="modal-close"/>
      <div class="modal-content">
          <img id="IconModal" src="../assets/images/error.png">
          <h2 id="titleModal"> Une erreur est survenue ! </h2>
          <p id="is-modal-paragraph"> L'email ne semble pas correct. </p>
          <button class="default-style failure-style has-margin-top-10" (click)="tryAgainFP()">Réessayer</button>
        </div>
  </div>
</div> -->

<div #FailureFP class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <header class="modal-card-head">
      <div class="is-flex is-align-center is-column flex-grow-4">
        <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/error.png">
        <p class="modal-card-title has-margin-top-1">Une erreur est survenue !</p>
      </div>
      <button (click)="Cancel('ER')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
    </header>
    <section class="modal-card-body is-flex is-column">
      <p class="is-modal-paragraph"> L'email ne semble pas correct.</p>
      <button class="default-style failure-style has-margin-top-10" (click)="tryAgainFP()">Réessayer</button>
    </section>
  </div>
</div>